class CalcZone extends UTGameObjective
	placeable;
 
var() Volume CalcZone;
var() int InZonePawnNum;
var() float CheckInterval;

auto state Active
{
	event BeginState(Name PreviousStateName)
	{
		SetTimer(0.1, true, 'CheckZone');
		super.BeginState(PreviousStateName);
	}

	function CheckZone()
	{
		local int i;

		i = NumPawnInZone();

		if( InZonePawnNum <= i )
		{
			gotostate('Complete');
		}
	}

	function int NumPawnInZone()
	{
		local Pawn P;
		local int i;

		foreach CalcZone.TouchingActors(class'Pawn', P)
		{
			i++;
		}
		return i;
	}
}

state Complete
{
	event BeginState(Name PreviousStateName)
	{
		TriggerEventClass( class'SeqEvent_OpenDoor', None, 0 );     //SeqEvent_OpenDoorOutputLinks(0)N
		super.BeginState(PreviousStateName);
	}
}


defaultproperties
{
	bStatic=false
	bHidden=false
	bAlwaysRelevant=true
	Physics=PHYS_None
	bOrientOnSlope=true
	bReplicateMovement=true
	bIgnoreRigidBodyPawns=true

	InZonePawnNum=1
	CheckInterval=0.1

	SupportedEvents.Add(class'SeqEvent_OpenDoor')       //Kismet̉ENXgɉ
}